set pagesize 0
set linesize 150
set serveroutput on
set term off
spool 5_2_Proves_ProcedimentsABM.log;

--------------------
--CATEGORIAMECANIC--
--------------------
exec pkg_RRHH.ALTA_CATEGORIA_MECANIC(0,'PRIMERA',30.0);
exec pkg_RRHH.ALTA_CATEGORIA_MECANIC(0,'SEGONA',20.0);
exec pkg_RRHH.ALTA_CATEGORIA_MECANIC(0,'TERCERA',15.5);
exec pkg_RRHH.ALTA_CATEGORIA_MECANIC(0,'QUARTA',10);

exec pkg_RRHH.BAIXA_CATEGORIA_MECANIC(4);

exec pkg_RRHH.MODIFICA_CATEGORIA_MECANIC(3,'TERCERAMOD',15);

-----------
--MECANIC--
-----------
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC1','MECANIC1L1','MECANIC1L2',1);
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC2','MECANIC2L1','MECANIC2L2',2);
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC3','MECANIC3L1','MECANIC3L2',3);
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC4','MECANIC4L1','MECANIC4L2',3);
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC5','MECANIC5L1','MECANIC5L2',2);
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC6','MECANIC6L1','MECANIC6L2',1);
exec pkg_RRHH.ALTA_MECANIC(0,'MECANIC7','MECANIC7L1','MECANIC7L2',3);

exec pkg_RRHH.BAIXA_MECANIC(7);

exec pkg_RRHH.MODIFICA_MECANIC(3,'MECANIC3MOD','MECANIC3MODL1','MECANIC3MODL2',3);

-----------
--VENEDOR--
-----------
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR1','VENEDOR1L1','VENEDOR1L2','123456789',to_date('10/01/2007','DD/MM/YYYY'));
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR2','VENEDOR2L1','VENEDOR2L2','123456788',to_date('10/02/2012','DD/MM/YYYY'));
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR3','VENEDOR3L1','VENEDOR3L2','123456787',to_date('10/03/2012','DD/MM/YYYY'));
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR4','VENEDOR4L1','VENEDOR4L2','123456786',to_date('10/04/2012','DD/MM/YYYY'));
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR5','VENEDOR5L1','VENEDOR5L2','123456785',to_date('10/05/2012','DD/MM/YYYY'));
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR6','VENEDOR6L1','VENEDOR6L2','123456784',to_date('10/06/2012','DD/MM/YYYY'));
exec pkg_RRHH.ALTA_VENEDOR(0,'VENEDOR7','VENEDOR7L1','VENEDOR7L2','123456783',to_date('10/07/2012','DD/MM/YYYY'));

exec pkg_RRHH.BAIXA_VENEDOR(7);

exec pkg_RRHH.MODIFICA_VENEDOR(1,'VENEDOR1MOD','VENEDOR1MODL1','VENEDOR1MODL2','123456789',to_date('10/01/2012','DD/MM/YYYY'));


----------
--CLIENT--
----------
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT1F','CLIENT1L1F','CLIENT1L2F',TO_DATE('10/07/1982','DD/MM/YYYY'),'F','12345680C','666333111',to_date('27/01/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT2F','CLIENT2L1F','',TO_DATE('06/07/1991','DD/MM/YYYY'),'F','12345681C','666333112',to_date('27/01/2007','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT3F','CLIENT3L1F','CLIENT3L2F',TO_DATE('10/07/1957','DD/MM/YYYY'),'F','12345682C','666333113',to_date('27/03/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT4M','CLIENT4L1M','CLIENT4L2M',TO_DATE('10/07/1983','DD/MM/YYYY'),'M','12345683C','666333114',to_date('27/04/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT5M','CLIENT5L1M','',TO_DATE('06/07/1991','DD/MM/YYYY'),'M','12345684C','666333115',to_date('27/05/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT6M','CLIENT6L1M','CLIENT6L2M',TO_DATE('10/07/1958','DD/MM/YYYY'),'M','12345685C','666333116',to_date('27/06/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT7E',NULL,NULL,TO_DATE('10/07/1984','DD/MM/YYYY'),'E','12345686C','666333117',to_date('27/07/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT8E',NULL,NULL,TO_DATE('06/07/1992','DD/MM/YYYY'),'E','12345687C','666333118',to_date('27/08/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT9E',NULL,NULL,TO_DATE('10/07/1959','DD/MM/YYYY'),'E','12345688C','666333119',to_date('27/09/2012','DD/MM/YYYY'));
exec pkg_CLIENT.ALTA_CLIENT(0,'CLIENT9EB',NULL,NULL,TO_DATE('10/07/1959','DD/MM/YYYY'),'E','12345688C','666333119',to_date('27/10/2012','DD/MM/YYYY'));
	
exec pkg_CLIENT.BAIXA_CLIENT(10);

exec pkg_CLIENT.MODIFICA_CLIENT(2,'CLIENT2FMOD','CLIENT2L1FMOD','',TO_DATE('06/07/1990','DD/MM/YYYY'),'F','12345681C','666333112',to_date('27/02/2012','DD/MM/YYYY'));

---------
--MARCA--
---------
exec pkg_cotxes.ALTA_MARCA(0,'PEUGEOT');
exec pkg_cotxes.ALTA_MARCA(0,'SEAD');
exec pkg_cotxes.ALTA_MARCA(0,'BMW');
exec pkg_cotxes.ALTA_MARCA(0,'RENAULT');
exec pkg_cotxes.ALTA_MARCA(0,'CITROEN');
exec pkg_cotxes.ALTA_MARCA(0,'DDDD');

exec pkg_cotxes.BAIXA_MARCA(6);

exec pkg_cotxes.MODIFICA_MARCA(2,'SEAT');


---------
--MODEL--
---------
exec pkg_cotxes.ALTA_MODEL(0,'2066 XS',2000.50,100,7,3.000,'BENZINA',1);
exec pkg_cotxes.ALTA_MODEL(0,'306 XL',14000.50,150,5,1.800,'BENZINA',1);
exec pkg_cotxes.ALTA_MODEL(0,'307 NV',16000.50,120,5,1.900,'DIESEL',1);
exec pkg_cotxes.ALTA_MODEL(0,'LEON',16000.50,120,3,1.900,'BENZINA',2);
exec pkg_cotxes.ALTA_MODEL(0,'IBIZA',12000,75,5,1.600,'DIESEL',2);
exec pkg_cotxes.ALTA_MODEL(0,'INCA',13000,120,4,1.800,'DIESEL',2);
exec pkg_cotxes.ALTA_MODEL(0,'SERIE 1',24000,120,3,2.000,'BEZINA',3);
exec pkg_cotxes.ALTA_MODEL(0,'SERIE 3',36000,150,5,2.200,'BENZINA',3);
exec pkg_cotxes.ALTA_MODEL(0,'SERIE 5',48000,180,5,3.000,'DIESEL',3);
exec pkg_cotxes.ALTA_MODEL(0,'MEGANE',15000,110,3,1.900,'BENZINA',4);
exec pkg_cotxes.ALTA_MODEL(0,'CLIO',9000,150,5,2.200,'BENZINA',4);
exec pkg_cotxes.ALTA_MODEL(0,'LAGUNA',18000,180,5,3.000,'DIESEL',4);
exec pkg_cotxes.ALTA_MODEL(0,'SAXO',12000,90,5,1.900,'BENZINA',5);
exec pkg_cotxes.ALTA_MODEL(0,'XSARA',15000,120,5,2.000,'BENZINA',5);
exec pkg_cotxes.ALTA_MODEL(0,'ZX',9000,70,5,1.900,'DIESEL',5);
exec pkg_cotxes.ALTA_MODEL(0,'ZXB',15000.50,120,5,1.900,'DIESEL',5);


exec pkg_cotxes.BAIXA_MODEL(16);

exec pkg_cotxes.MODIFICA_MODEL(1,'206 XS',12000.50,100,3,1.600,'DIESEL',1);


---------
--EXTRA--
---------
exec pkg_cotxes.ALTA_EXTRA (0,'AIRBAG');
exec pkg_cotxes.ALTA_EXTRA (0,'SENSOR DARRERADDD');
exec pkg_cotxes.ALTA_EXTRA (0,'SENSOR PLUJA');
exec pkg_cotxes.ALTA_EXTRA (0,'ALÇA LLUNES');
exec pkg_cotxes.ALTA_EXTRA (0,'BLUETOOTH');
exec pkg_cotxes.ALTA_EXTRA (0,'RADIO MP3');
exec pkg_cotxes.ALTA_EXTRA (0,'VIDRES TINTATS');
exec pkg_cotxes.ALTA_EXTRA (0,'AIRE ACONDICIONAT');
exec pkg_cotxes.ALTA_EXTRA (0,'BORRAR BORRAR');


exec pkg_cotxes.BAIXA_EXTRA (9);

exec pkg_cotxes.MODIFICA_EXTRA (2,'SENSOR DARRERA');

--------------
--EXTRAMODEL--
--------------
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,1,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,1,50.5,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,1,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,1,150.5,'O');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (5,2,250.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (6,2,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (7,2,350.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (8,2,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,3,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,3,450.5,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,3,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,3,550.5,'O');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,4,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,4,650.5,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,4,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,4,750.5,'O');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (5,5,850.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (6,5,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (7,5,950.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (8,5,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,6,100.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,6,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,6,200.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,6,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,7,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,7,300.5,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,7,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,7,400.5,'O');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (5,8,500.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (6,8,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (7,8,600.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (8,8,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,9,700.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,9,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,9,800.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,9,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,10,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,10,950,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,10,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,10,25,'O');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (5,11,125,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (6,11,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (7,11,225.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (8,11,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,12,325,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,12,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,12,425.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,12,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,13,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,13,525.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,13,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,13,625.0,'O');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (5,14,725.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (6,14,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (7,14,825.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (8,14,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (1,15,925.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (2,15,0,'S');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (3,15,975.0,'O');
exec pkg_cotxes.AFEGIR_EXTRA_MODEL (4,15,0,'S');

exec pkg_cotxes.AFEGIR_EXTRA_MODEL (5,15,999.999,'S');

exec pkg_cotxes.ELIMINAR_EXTRA_MODEL (5,15);

exec pkg_cotxes.MODIFICAR_EXTRA_MODEL (1,1,1000.5,'O');

---------
--COTXE--
---------
exec pkg_cotxes.ALTA_COTXE(0,'XX011XX','0111AAA',1);
exec pkg_cotxes.ALTA_COTXE(0,'XX022XX','0222BBB',2);
exec pkg_cotxes.ALTA_COTXE(0,'XX033XX','0333CCC',3);
exec pkg_cotxes.ALTA_COTXE(0,'XX044XX','0444DDD',4);
exec pkg_cotxes.ALTA_COTXE(0,'XX055XX','0555EEE',5);
exec pkg_cotxes.ALTA_COTXE(0,'XX066XX','0666FFF',6);
exec pkg_cotxes.ALTA_COTXE(0,'XX077XX','0777GGG',7);
exec pkg_cotxes.ALTA_COTXE(0,'XX088XX','0888HHH',8);
exec pkg_cotxes.ALTA_COTXE(0,'XX099XX','0999JJJ',9);
exec pkg_cotxes.ALTA_COTXE(0,'XX100XX','1000KKK',10);
exec pkg_cotxes.ALTA_COTXE(0,'XX111XX','1111LLL',11);
exec pkg_cotxes.ALTA_COTXE(0,'XX122XX','1222MMM',12);
exec pkg_cotxes.ALTA_COTXE(0,'XX133XX','1333NNN',13);
exec pkg_cotxes.ALTA_COTXE(0,'XX144XX','1444OOO',14);
exec pkg_cotxes.ALTA_COTXE(0,'XX155XX','1555PPP',15);
exec pkg_cotxes.ALTA_COTXE(0,'XX166XX','1666RRR',1);
exec pkg_cotxes.ALTA_COTXE(0,'17','17',2);
exec pkg_cotxes.ALTA_COTXE(0,'XX188XX','1888SSS',3);


exec pkg_cotxes.BAIXA_COTXE(18);

exec pkg_cotxes.MODIFICA_COTXE(17,'XX177XX','1777',2);


---------------
--COTXESVENDA--
---------------
--UN COP ES VEN UN COTXE, HA DE DESAPAREIXER DEL STOCK (TAULA COTXESVENDA)--
exec pkg_vendes.ALTA_COTXE_VENDA(1,TO_DATE('06/01/2012','DD/MM/YYYY'),'S',5000,TO_DATE('06/01/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(2,TO_DATE('06/02/2012','DD/MM/YYYY'),'S',6000,TO_DATE('06/02/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(3,TO_DATE('06/03/2012','DD/MM/YYYY'),'S',7000,TO_DATE('06/03/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(4,TO_DATE('06/04/2012','DD/MM/YYYY'),'S',8000,TO_DATE('06/04/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(5,TO_DATE('06/05/2012','DD/MM/YYYY'),'S',9000,TO_DATE('06/05/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(6,TO_DATE('06/06/2012','DD/MM/YYYY'),'S',10000,TO_DATE('06/06/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(7,TO_DATE('06/07/2012','DD/MM/YYYY'),'S',11000,TO_DATE('06/07/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(8,TO_DATE('06/08/2012','DD/MM/YYYY'),'S',12000,TO_DATE('06/08/2010','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(16,TO_DATE('06/09/2012','DD/MM/YYYY'),'S',13000,TO_DATE('06/09/2010','DD/MM/YYYY'));

exec pkg_vendes.ALTA_COTXE_VENDA(10,TO_DATE('12/10/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/10/2012','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(11,TO_DATE('12/11/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/11/2012','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(12,TO_DATE('12/12/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/12/2012','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(13,TO_DATE('12/01/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/01/2012','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(14,TO_DATE('12/02/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/02/2012','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(15,TO_DATE('12/03/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/03/2012','DD/MM/YYYY'));
exec pkg_vendes.ALTA_COTXE_VENDA(9,TO_DATE('12/04/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/04/2012','DD/MM/YYYY'));

exec pkg_vendes.MODIFICA_COTXE_VENDA(9,TO_DATE('12/04/2012','DD/MM/YYYY'),'N',NULL,TO_DATE('13/04/2012','DD/MM/YYYY'));
exec pkg_vendes.MODIFICA_COTXE_VENDA(16,TO_DATE('06/09/2012','DD/MM/YYYY'),'S',13000,TO_DATE('06/09/2010','DD/MM/YYYY'));



-----------
--RESERVA--
-----------
exec pkg_vendes.ALTA_RESERVA(0,1,1,1,6000.0,TO_DATE('12/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_RESERVA(0,2,2,2,20000.0,TO_DATE('15/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_RESERVA(0,3,3,3,30000.0,TO_DATE('12/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_RESERVA(0,3,3,3,30000.0,TO_DATE('15/12/2012','DD/MM/YYYY'),NULL);

exec pkg_vendes.BAIXA_RESERVA(4);


exec pkg_vendes.MODIFICA_RESERVA(1,1,1,1,15000.0,TO_DATE('14/11/2012','DD/MM/YYYY'),NULL);

----------------
--EXTRARESERVA--
----------------
exec pkg_vendes.ALTA_EXTRA_RESERVA(1,2);
exec pkg_vendes.ALTA_EXTRA_RESERVA(1,4);

exec pkg_vendes.ALTA_EXTRA_RESERVA(2,6);
exec pkg_vendes.ALTA_EXTRA_RESERVA(2,8);

exec pkg_vendes.ALTA_EXTRA_RESERVA(3,2);
exec pkg_vendes.ALTA_EXTRA_RESERVA(3,4);

exec pkg_vendes.ALTA_EXTRA_RESERVA(3,6);

exec pkg_vendes.BAIXA_EXTRA_RESERVA(3,6);

------------------
--RESERVA->VENDA--
------------------
exec pkg_vendes.PASSA_RESERVA_VENDA(1,'XX199XX','1999TTT');
exec pkg_vendes.PASSA_RESERVA_VENDA(2,'XX200XX','2000VVV');
exec pkg_vendes.PASSA_RESERVA_VENDA(3,'XX211XX','2111WWW');

---------
--VENDA--
---------
exec pkg_vendes.ALTA_VENDA(0,1,1,1,10000,TO_DATE('10/10/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,2,2,2,20000,TO_DATE('11/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,3,3,3,30000,TO_DATE('12/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,4,4,4,15000,TO_DATE('13/10/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,5,5,5,25000,TO_DATE('14/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,6,6,6,35000,TO_DATE('15/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,7,7,1,12000,TO_DATE('16/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,8,8,2,22000,TO_DATE('17/10/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,9,9,3,32000,TO_DATE('18/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,10,1,4,34000,TO_DATE('19/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,11,2,5,24000,TO_DATE('12/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,12,3,6,14000,TO_DATE('21/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,13,4,1,18000,TO_DATE('22/11/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,14,5,2,28000,TO_DATE('23/12/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,15,6,3,2000000,TO_DATE('24/10/2012','DD/MM/YYYY'),NULL);
exec pkg_vendes.ALTA_VENDA(0,16,7,4,1000000,TO_DATE('24/10/2012','DD/MM/YYYY'),NULL);

exec pkg_vendes.BAIXA_VENDA(19);

exec pkg_vendes.MODIFICA_VENDA(18,15,6,3,38000,TO_DATE('24/10/2012','DD/MM/YYYY'),NULL);

---------------------
--COTXE_TALLER--
---------------------
exec PKG_TALLER.ALTA_COTXE_TALLER(1,1);
exec PKG_TALLER.ALTA_COTXE_TALLER(2,2);
exec PKG_TALLER.ALTA_COTXE_TALLER(21,3);
exec PKG_TALLER.ALTA_COTXE_TALLER(4,4);
exec PKG_TALLER.ALTA_COTXE_TALLER(5,5);
exec PKG_TALLER.ALTA_COTXE_TALLER(6,6);
exec PKG_TALLER.ALTA_COTXE_TALLER(7,7);
exec PKG_TALLER.ALTA_COTXE_TALLER(8,8);
exec PKG_TALLER.ALTA_COTXE_TALLER(9,9);

exec PKG_TALLER.BAIXA_COTXE_TALLER(9);


-----------
--REVISIO--
-----------
exec PKG_TALLER.ALTA_REVISIO(0,1,TO_DATE('06/01/2013','DD/MM/YYYY'),'10000km','S');
exec PKG_TALLER.ALTA_REVISIO(0,2,TO_DATE('07/02/2013','DD/MM/YYYY'),'20000km','S');
exec PKG_TALLER.ALTA_REVISIO(0,21,TO_DATE('08/03/2013','DD/MM/YYYY'),'30000km','S');
exec PKG_TALLER.ALTA_REVISIO(0,4,TO_DATE('09/10/2012','DD/MM/YYYY'),'PRE-ITV','N');
exec PKG_TALLER.ALTA_REVISIO(0,5,TO_DATE('10/11/2012','DD/MM/YYYY'),'Nivell Oli','N');
exec PKG_TALLER.ALTA_REVISIO(0,6,TO_DATE('11/12/2012','DD/MM/YYYY'),'Nivell Oli','N');
exec PKG_TALLER.ALTA_REVISIO(0,7,TO_DATE('12/10/2012','DD/MM/YYYY'),'Nivell Oli','N');
exec PKG_TALLER.ALTA_REVISIO(0,8,TO_DATE('10/11/2012','DD/MM/YYYY'),'Revisió Distribució','N');
exec PKG_TALLER.ALTA_REVISIO(0,9,TO_DATE('14/12/2012','DD/MM/YYYY'),'Revisió Rodes','N');
exec PKG_TALLER.ALTA_REVISIO(0,10,TO_DATE('15/10/2012','DD/MM/YYYY'),'Revisió Dipòsit','N');

exec PKG_TALLER.BAIXA_REVISIO(10);

exec PKG_TALLER.MODIFICA_REVISIO(1,1,TO_DATE('10/01/2013','DD/MM/YYYY'),'15000km','S');

-------------
--REPARACIO--
-------------
exec PKG_TALLER.ALTA_REPARACIO(0,1,TO_DATE('05/10/2012','DD/MM/YYYY'),TO_DATE('17/10/2012','DD/MM/YYYY'),'Canvi Embragament',1000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,2,TO_DATE('06/11/2012','DD/MM/YYYY'),TO_DATE('18/11/2012','DD/MM/YYYY'),'Problemes caixa canvis',2000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,21,TO_DATE('07/12/2012','DD/MM/YYYY'),TO_DATE('22/12/2012','DD/MM/YYYY'),'Canvi Motor',3000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,4,TO_DATE('08/10/2012','DD/MM/YYYY'),TO_DATE('20/10/2012','DD/MM/YYYY'),'Problemes carburador',4000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,5,TO_DATE('09/11/2012','DD/MM/YYYY'),TO_DATE('21/11/2012','DD/MM/YYYY'),'Problemes centraleta electrònica',5000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,6,TO_DATE('10/12/2012','DD/MM/YYYY'),TO_DATE('22/12/2012','DD/MM/YYYY'),'Cop porta',6000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,7,TO_DATE('11/10/2012','DD/MM/YYYY'),TO_DATE('23/10/2012','DD/MM/YYYY'),'Radiador',7000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,8,TO_DATE('09/11/2012','DD/MM/YYYY'),TO_DATE('24/11/2012','DD/MM/YYYY'),'Llunes',8000,'N');
exec PKG_TALLER.ALTA_REPARACIO(0,9,TO_DATE('12/12/2012','DD/MM/YYYY'),TO_DATE('22/12/2012','DD/MM/YYYY'),'Caixa canvis i motor espenyats',9000,'N');

exec PKG_TALLER.ALTA_REPARACIO(0,8,TO_DATE('29/10/2012','DD/MM/YYYY'),NULL,'Canvi Motor', 15000,'S');
exec PKG_TALLER.ALTA_REPARACIO(0,9,TO_DATE('29/10/2012','DD/MM/YYYY'),NULL,'Pressupost Accident',20000,'S');


exec PKG_TALLER.BAIXA_REPARACIO(10);

exec PKG_TALLER.MODIFICA_REPARACIO(11,1,TO_DATE('29/11/2012','DD/MM/YYYY'),NULL,'Pressupost Accident',9999999,'S');


-------------
--HAREVISAT--
-------------
exec PKG_TALLER.ALTA_REVISIO_MECANIC(1,1,1);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(1,2,1);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(1,3,1);

exec PKG_TALLER.ALTA_REVISIO_MECANIC(2,4,2);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(2,5,2);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(2,6,2);

exec PKG_TALLER.ALTA_REVISIO_MECANIC(3,1,3);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(3,2,3);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(3,3,3);

exec PKG_TALLER.ALTA_REVISIO_MECANIC(4,4,4);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(4,5,4);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(4,6,4);	

exec PKG_TALLER.ALTA_REVISIO_MECANIC(5,4,5);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(5,5,5);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(5,6,5);

exec PKG_TALLER.ALTA_REVISIO_MECANIC(6,4,6);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(6,5,6);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(6,6,6);	

exec PKG_TALLER.ALTA_REVISIO_MECANIC(7,4,7);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(7,5,7);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(7,6,7);

exec PKG_TALLER.ALTA_REVISIO_MECANIC(8,4,8);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(8,5,8);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(8,6,8);	

exec PKG_TALLER.ALTA_REVISIO_MECANIC(9,1,5);	
exec PKG_TALLER.ALTA_REVISIO_MECANIC(9,3,1);


exec PKG_TALLER.BAIXA_REVISIO_MECANIC(9,1);
exec PKG_TALLER.BAIXA_REVISIO_MECANIC(9,3);

exec PKG_TALLER.MODIFICA_REVISIO_MECANIC(1,1,10,100);

-------------
--HAREPARAT--
-------------

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(1,1,1);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(1,2,1);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(1,3,1);

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(2,1,2);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(2,2,2);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(2,3,2);

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(3,1,3);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(3,2,3);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(3,3,3);

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(4,1,4);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(4,2,4);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(4,3,4);	

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(5,1,5);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(5,2,5);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(5,3,5);

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(6,1,6);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(6,2,6);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(6,3,6);	

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(7,1,7);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(7,2,7);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(7,3,7);

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(8,1,50);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(8,2,30);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(8,3,10);	

exec PKG_TALLER.ALTA_REPARACIO_MECANIC(9,1,5);	
exec PKG_TALLER.ALTA_REPARACIO_MECANIC(9,3,1);


exec PKG_TALLER.BAIXA_REPARACIO_MECANIC(9,1);
exec PKG_TALLER.BAIXA_REPARACIO_MECANIC(9,3);

exec PKG_TALLER.MODIFICA_REPARACIO_MECANIC(1,1,10,100);

	
spool off;
