set pagesize 0
set linesize 150
set serveroutput on
set term off
spool 5_3_Proves_Consultes.log;
	--Consultam un client per DNI/CIF
	EXEC PKG_CONSULTES.CLIENT_DNICIF('12345681C');
	
	--Consultam un client per ID
	EXEC PKG_CONSULTES.CLIENT_ID(1);
	
	--Consultam un venedor per ID
	EXEC PKG_CONSULTES.VENEDOR_ID(2);

	--Consultam un model per ID (inclou els extres i opcions)
	EXEC PKG_CONSULTES.MODEL_ID(3);
	
	--Consultam un cotxe per ID
	EXEC PKG_CONSULTES.COTXE_ID(21);
	
	--Consultam el llistat de vendes
	EXEC PKG_CONSULTES.LLISTAT_VENDES;
	
	--Consultam el llistat de revisions
	EXEC PKG_CONSULTES.LLISTAT_REVISIONS;
	
	--Consultam el llistat de reparacions
	EXEC PKG_CONSULTES.LLISTAT_REPARACIONS;
	
	--Simula que s'avisen a clients que tenen revisió en un rang de dates concretes
	EXEC PKG_CONSULTES.AVISAREVISIONSDATA(TO_DATE('20130101','YYYYMMDD'),TO_DATE('20130331','YYYYMMDD'));

spool off;
